Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.MadChat.share
Class SmallShareAgent

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              madkit.MadChat.share.SmallShareAgent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class SmallShareAgent

extends Agent

See Also:
  Serialized Form

Constructor Summary
`SmallShareAgent()`
`SmallShareAgent(ListFic listFic, AgentAddress sa, AbstractShareAgent s, boolean _updatePlugin)`
`SmallShareAgent(java.util.Vector stockPOQ, AbstractShareAgent s)`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`void` | `addUpdatePluginToUpdatingPluginFile()`
`boolean` | `checkIfFileAlreadyExist(java.lang.String virtual_Path, java.lang.String clientPath)`
`void` | `checkTimeout()` check the timeout and asks to reconnect to the server
`boolean` | `createFile(java.lang.String virtual_Path, int offsetStart, int offsetEnd, byte[] b, java.lang.String clientPath)`
`void` | `createPaquet(java.util.Vector index, AgentAddress serverAddress)`
`void` | `end()` This method is called by the agent micro-kernel at the end of the agent lifecycle.
`void` | `eraseDirectory(java.io.File directory)`
`java.lang.String` | `getGroupName()`
`int` | `getTimeout()`
`boolean` | `getUpdatePlugin()`
`void` | `live()` This method defines the main behavior for threaded agents.
`java.lang.String` | `parsePluginName(java.lang.String path)`
`void` | `setTimeout(int t)`
`void` | `startDownload()`
`void` | `updateHistory(java.lang.String virtual_Path, java.lang.String serverName)`
`void` | `writeFile(java.lang.String virtual_Path, int offsetStart, int offsetEnd, byte[] b, java.lang.String clientPath)`

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmallShareAgent

    public SmallShareAgent()

### SmallShareAgent

    public SmallShareAgent(ListFic listFic,
                           AgentAddress sa,
                           AbstractShareAgent s,
                           boolean _updatePlugin)

### SmallShareAgent

    public SmallShareAgent(java.util.Vector stockPOQ,
                           AbstractShareAgent s)

Method Detail

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int t)

### getUpdatePlugin

    public boolean getUpdatePlugin()

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Overrides:
    `activate` in class `AbstractAgent`

### live

    public void live()

  Description copied from class: `Agent`
  This method defines the main behavior for threaded agents.

  Overrides:
    `live` in class `Agent`

### end

    public void end()

  Description copied from class: `AbstractAgent`
  This method is called by the agent micro-kernel at the end of the agent lifecycle. If the the agent is killed from the outside, it is the last opportunity for the agent to cleanly shutdown its operations.

  Overrides:
    `end` in class `AbstractAgent`

### getGroupName

    public java.lang.String getGroupName()

### createPaquet

    public void createPaquet(java.util.Vector index,
                             AgentAddress serverAddress)

### startDownload

    public void startDownload()

### createFile

    public boolean createFile(java.lang.String virtual_Path,
                              int offsetStart,
                              int offsetEnd,
                              byte[] b,
                              java.lang.String clientPath)

### updateHistory

    public void updateHistory(java.lang.String virtual_Path,
                              java.lang.String serverName)

### checkTimeout

    public void checkTimeout()

  check the timeout and asks to reconnect to the server

### writeFile

    public void writeFile(java.lang.String virtual_Path,
                          int offsetStart,
                          int offsetEnd,
                          byte[] b,
                          java.lang.String clientPath)

### parsePluginName

    public java.lang.String parsePluginName(java.lang.String path)

### addUpdatePluginToUpdatingPluginFile

    public void addUpdatePluginToUpdatingPluginFile()

### checkIfFileAlreadyExist

    public boolean checkIfFileAlreadyExist(java.lang.String virtual_Path,
                                           java.lang.String clientPath)

### eraseDirectory

    public void eraseDirectory(java.io.File directory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.